MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024447Open CASCADE[OCCT] OCCT:Codingpublic2013-12-09 16:132016-04-20 15:48
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 4.0OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024447: Includes of ixx and jxx files should be replaced by their content
DescriptionIncludes of ixx and jxx files should be replaced by their content in "src" directory.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files? file icon testing_tools.py (16,125 bytes) 2013-12-10 12:17

- Relationships
related to 0024859closedabv Replace SortTools by STL equivalents 
parent of 0024972closedapn Problem of the influence of the includes order during compilation 

-  Notes
(0027145)
abv (manager)
2013-12-10 11:00
edited on: 2014-01-04 14:05

In general the change looks fine, however I still have some remarks to be accounted for:

1. Macros like DEFINE_STANDARD_RTTI should be reduced (for that WOK should be modified) to use simplified syntax

2. These macros should be put after all #includes

3. Duplicated #includes should be checked and removed

This is not urgent, so let's postpone this. To save current results, please attach the script you have made, to this issue.

(0027147)
ski (developer)
2013-12-10 12:24

File "testing_tools.py" was attached.
It contains the script i have made, to this issue.
For information:
- Script should be placed at the folder with occt.
- Main function is start(folder_name = "occt"), where "folder_name" is the name of folder with occt.
- Line 98 is commented to prevent changes in files, to save changes - uncomment it.
(0028446)
abv (manager)
2014-03-24 15:15

Please consider integrating procedure of update of sources to remove IXX and JXX classes to the Tcl script I have started in branch CR24750.
(0029565)
ski (developer)
2014-05-28 11:18

The last version of changes is located in branch CR24447_1.
(0029601)
ski (developer)
2014-05-29 12:15

New version of changes is located in branch CR24447_2.
In this branch includes of windows.h were remained on their place in code.
(0043267)
abv (manager)
2015-07-22 08:04

Fixed in current master
(0043298)
git (administrator)
2015-07-22 16:21

Branch CR24447_1 has been deleted by abv.

SHA-1: 80dc6a2df52173189ea19957aa53e68810c1279c
(0043299)
git (administrator)
2015-07-22 16:21

Branch CR24447_2 has been deleted by abv.

SHA-1: 623804cbfb8959b81227695e14aa51726e51a309
(0043311)
git (administrator)
2015-07-22 16:41

Branch CR24447 has been deleted by abv.

SHA-1: a202f62c70be9fd51a3a9c24873605b49b4a7c42
(0043316)
git (administrator)
2015-07-22 16:51

Branch CR24447_4 has been deleted by abv.

SHA-1: 0764dd5ad7f55b5d23543d006b01519286bec265
(0043569)
git (administrator)
2015-07-27 14:18

Branch CR24447_3 has been deleted by kgv.

SHA-1: 52f6bb09fcb7ae13fcef62c21778e8d25a2fc2cb

- Issue History
Date Modified Username Field Change
2013-12-09 16:13 ski New Issue
2013-12-09 16:13 ski Assigned To => ski
2013-12-09 16:13 ski Status new => assigned
2013-12-09 18:25 ski Assigned To ski => abv
2013-12-09 18:25 ski Status assigned => resolved
2013-12-10 11:00 abv Note Added: 0027145
2013-12-10 11:00 abv Assigned To abv => ski
2013-12-10 11:00 abv Status resolved => assigned
2013-12-10 11:00 abv Target Version 6.7.0 => 7.0.0
2013-12-10 12:17 ski File Added: testing_tools.py
2013-12-10 12:24 ski Note Added: 0027147
2014-01-04 14:05 abv Note Edited: 0027145 View Revisions
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding
2014-03-24 15:15 abv Note Added: 0028446
2014-05-28 11:18 ski Note Added: 0029565
2014-05-29 11:48 ski Relationship added parent of 0024972
2014-05-29 12:15 ski Note Added: 0029601
2014-06-03 07:39 abv Relationship added related to 0024859
2015-07-22 08:04 abv Note Added: 0043267
2015-07-22 08:04 abv Assigned To ski => kgv
2015-07-22 08:04 abv Status assigned => resolved
2015-07-22 08:04 abv Steps to Reproduce Updated View Revisions
2015-07-22 08:40 kgv Assigned To kgv => bugmaster
2015-07-22 08:40 kgv Status resolved => reviewed
2015-07-22 16:21 git Note Added: 0043298
2015-07-22 16:21 git Note Added: 0043299
2015-07-22 16:41 git Note Added: 0043311
2015-07-22 16:51 git Note Added: 0043316
2015-07-23 16:45 bugmaster Status reviewed => verified
2015-07-23 16:45 bugmaster Resolution open => fixed
2015-07-27 14:18 git Note Added: 0043569
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker